Package jgromacs.db

# Class ResidueType

java.lang.Object
jgromacs.db.ResidueType

All Implemented Interfaces:
  `Cloneable`

public class ResidueType extends Object implements Cloneable
Objects of this class represent a residue type

## Constructor Summary

Constructors
Constructor
Description
`ResidueType()`
Constructs a new ResidueType object
`ResidueType(int type)`
Constructs a new ResidueType object of a given type
`ResidueType(String code)`
Constructs a new ResidueType object of given code

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Returns an identical ResidueType object
`boolean`
`equals(Object other)`
Returns true if the two residue types are identical
`String`
`get1LetterCode()`
Returns 1 letter code of residue type
`String`
`get3LetterCode()`
Returns 3 letter code of residue type
`String`
`getFullName()`
Returns full name of residue type
`int`
`hashCode()`
Returns hash code
`boolean`
`isAminoAcid()`
Returns true if it is an amino acid (not water or else)
`boolean`
`isOther()`
Returns true if it is not an amino acid nor water
`boolean`
`isWater()`
Returns true if it is water (not amino acid or else)
`String`
`toString()`
Returns the String representation of residue type

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResidueType

public ResidueType()
Constructs a new ResidueType object

### ResidueType

public ResidueType(int type)
Constructs a new ResidueType object of a given type

Parameters:
  `type` - residue type

### ResidueType

public ResidueType(String code)
Constructs a new ResidueType object of given code

Parameters:
  `code` - residue code

## Method Details

### get1LetterCode

public String get1LetterCode()
Returns 1 letter code of residue type

Returns:
  residue code

### get3LetterCode

public String get3LetterCode()
Returns 3 letter code of residue type

Returns:
  residue code

### getFullName

public String getFullName()
Returns full name of residue type

Returns:
  residue name

### isAminoAcid

public boolean isAminoAcid()
Returns true if it is an amino acid (not water or else)

### isWater

public boolean isWater()
Returns true if it is water (not amino acid or else)

### isOther

public boolean isOther()
Returns true if it is not an amino acid nor water

### toString

public String toString()
Returns the String representation of residue type

Overrides:
  `toString` in class `Object`
Returns:
  String representation

### clone

public Object clone()
Returns an identical ResidueType object

Overrides:
  `clone` in class `Object`
Returns:
  clone of the residue type

### equals

public boolean equals(Object other)
Returns true if the two residue types are identical

Overrides:
  `equals` in class `Object`
Parameters:
  `other` - the other residue type

### hashCode

public int hashCode()
Returns hash code

Overrides:
  `hashCode` in class `Object`